[GitHub] [camel] apupier opened a new pull request #4880: CAMEl-16031 - Upgrade Groovy from 2.5.5 to 2.5.14

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

[GitHub] [camel] apupier opened a new pull request #4880: CAMEl-16031 - Upgrade Groovy from 2.5.5 to 2.5.14

GitBox

apupier opened a new pull request #4880:
URL: https://github.com/apache/camel/pull/4880


   Signed-off-by: AurĂ©lien Pupier <[hidden email]>
   
   - [ ] Make sure there is a [JIRA issue](https://issues.apache.org/jira/browse/CAMEL) filed for the change (usually before you start working on it).  Trivial changes like typos do not require a JIRA issue.  Your pull request should address just this issue, without pulling in other changes.
   - [ ] Each commit in the pull request should have a meaningful subject line and body.
   - [ ] If you're unsure, you can format the pull request title like `[CAMEL-XXX] Fixes bug in camel-file component`, where you replace `CAMEL-XXX` with the appropriate JIRA issue.
   - [ ] Write a pull request description that is detailed enough to understand what the pull request does, how, and why.
   - [ ] Run `mvn clean install -Psourcecheck` in your module with source check enabled to make sure basic checks pass and there are no checkstyle violations. A more thorough check will be performed on your pull request automatically.
   Below are the contribution guidelines:
   https://github.com/apache/camel/blob/master/CONTRIBUTING.md


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]


Reply | Threaded
Open this post in threaded view
|

[GitHub] [camel] apupier commented on pull request #4880: CAMEl-16031 - Upgrade Groovy from 2.5.5 to 2.5.14

GitBox

apupier commented on pull request #4880:
URL: https://github.com/apache/camel/pull/4880#issuecomment-760091208


   Can you trigger a build with tests? Locally I have an error with both versions of groovy so cannot validate
   
   ```
   [INFO] --- maven-invoker-plugin:3.1.0:integration-test (integration-test) @ camel-restdsl-swagger-plugin ---
   [INFO] Building: simple-xml/pom.xml
   [INFO] run post-build script verify.groovy
   [INFO]           simple-xml/pom.xml ............................... FAILED (0.6 s)
   [INFO]   The post-build script did not succeed. assert restdsl.exists()
          |       |
          |       false
          /home/apupier/git/camel/tooling/maven/camel-restdsl-swagger-plugin/target/it/simple-xml/target/generated-sources/restdsl-swagger/camel-rest.xml
   [INFO] Building: simple-dto/pom.xml
   [INFO] run post-build script verify.groovy
   [INFO]           simple-dto/pom.xml ............................... FAILED (0.0 s)
   [INFO]   The post-build script did not succeed. assert restdsl.exists()
          |       |
          |       false
          /home/apupier/git/camel/tooling/maven/camel-restdsl-swagger-plugin/target/it/simple-dto/target/generated-sources/restdsl-swagger/io/swagger/petstore/SwaggerPetstore.java
   [INFO] Building: simple-xml-dto/pom.xml
   [INFO] run post-build script verify.groovy
   [INFO]           simple-xml-dto/pom.xml ........................... FAILED (0.0 s)
   [INFO]   The post-build script did not succeed. assert restdsl.exists()
          |       |
          |       false
          /home/apupier/git/camel/tooling/maven/camel-restdsl-swagger-plugin/target/it/simple-xml-dto/target/generated-sources/restdsl-swagger/camel-rest.xml
   [INFO] Building: customized/pom.xml
   [INFO] run post-build script verify.groovy
   [INFO]           customized/pom.xml ............................... FAILED (0.0 s)
   [INFO]   The post-build script did not succeed. assert restdsl.exists()
          |       |
          |       false
          /home/apupier/git/camel/tooling/maven/camel-restdsl-swagger-plugin/target/it/customized/target/classes/generated/com/example/MyRestRoute.java
   [INFO] Building: simple/pom.xml
   [INFO] run post-build script verify.groovy
   [INFO]           simple/pom.xml ................................... FAILED (0.0 s)
   [INFO]   The post-build script did not succeed. assert restdsl.exists()
          |       |
          |       false
          /home/apupier/git/camel/tooling/maven/camel-restdsl-swagger-plugin/target/it/simple/target/generated-sources/restdsl-swagger/io/swagger/petstore/SwaggerPetstore.java
   [INFO]
   [INFO] --- maven-invoker-plugin:3.1.0:verify (integration-test) @ camel-restdsl-swagger-plugin ---
   [INFO] -------------------------------------------------
   [INFO] Build Summary:
   [INFO]   Passed: 0, Failed: 5, Errors: 0, Skipped: 0
   [INFO] -------------------------------------------------
   [ERROR] The following builds failed:
   [ERROR] *  customized/pom.xml
   [ERROR] *  simple-xml-dto/pom.xml
   [ERROR] *  simple/pom.xml
   [ERROR] *  simple-dto/pom.xml
   [ERROR] *  simple-xml/pom.xml
   ```


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]


Reply | Threaded
Open this post in threaded view
|

[GitHub] [camel] davsclaus merged pull request #4880: CAMEl-16031 - Upgrade Groovy from 2.5.5 to 2.5.14

GitBox
In reply to this post by GitBox

davsclaus merged pull request #4880:
URL: https://github.com/apache/camel/pull/4880


   


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
[hidden email]